petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsGetIntArray

Gets an array of integer values for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetIntArray(PetscOptions options,const char pre[],const char name[],PetscInt ivalue[],PetscInt *nmax,PetscBool *set)

Not Collective

### Input Parameters

| options | - options database, use NULL for default global database
| pre | - string to prepend to each name or NULL
| name | - the option one is seeking
| nmax | - maximum number of values to retrieve

### Output Parameter

| ivalue | - the integer values to return
| nmax | - actual number of values retreived
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

The array can be passed as a comma separated list: 0,1,2,3,4,5,6,7 a range (start-end+1): 0-8 a range with given increment (start-end+1:inc): 0-7:2 a combination of values and ranges separated by commas: 0,1-8,8-15:2

There must be no intervening spaces between the values.

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/options.c

### Examples

src/mat/examples/tutorials/ex17f.F90.html
src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages